package com.bjzc.bhzhgd.activity;

import android.view.View;
import android.widget.TextView;

import com.bjzc.bhzhgd.R;
import com.bjzc.bhzhgd.base.BaseActivity3;


public class NfcinfoActivity extends BaseActivity3 {


    TextView tvNfc;

    @Override
    public int getLayoutId() {
        return R.layout.activity_nfcinfo;
    }

    @Override
    public void initView() {
        tvNfc = findViewById(R.id.tv_nfc);
        initToolbar("NFC信息", "", new View.OnClickListener() {
            @Override
            public void onClick(View v) {

            }
        });

        initNFC();

    }

    @Override
    public void initData() {

    }

    @Override
    public void handleNfc(String result) {
        super.handleNfc(result);
        runOnUiThread(new Runnable() {
            @Override
            public void run() {
                if(tvNfc!=null){
                    tvNfc.setText(result);
                }
            }
        });
    }
}
